org.apache.sling.validation.impl

## Class ValidationModelRetrieverImpl

- java.lang.Object
- - org.apache.sling.validation.impl.ValidationModelRetrieverImpl

All Implemented Interfaces:
  org.apache.sling.validation.model.spi.ValidationModelRetriever

    public class ValidationModelRetrieverImpl
    extends Object
    implements org.apache.sling.validation.model.spi.ValidationModelRetriever

Retrieves the most appropriate model (the one with the longest matching applicablePath) from any of the `ValidationModelProvider`s.

### Field Summary

Fields
`protected List<org.apache.sling.validation.model.spi.ValidationModelProvider>` `modelProviders` List of validation providers, Declarative Services 1.3 takes care that the list is ordered according to `ServiceReference.compareTo(Object)`.

### Constructor Summary

Constructors
Constructor and Description
`ValidationModelRetrieverImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.sling.validation.model.ValidationModel` `getValidationModel(String resourceType, String resourcePath, boolean considerResourceSuperTypeModels)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### modelProviders

    protected volatile List<org.apache.sling.validation.model.spi.ValidationModelProvider> modelProviders

List of validation providers, Declarative Services 1.3 takes care that the list is ordered according to `ServiceReference.compareTo(Object)`. Highest ranked service is the last one in the list.

See Also:
  "OSGi R6 Comp, 112.3.8.1"

### Constructor Detail

#### ValidationModelRetrieverImpl

    public ValidationModelRetrieverImpl()

### Method Detail

#### getValidationModel

    @CheckForNull
    public org.apache.sling.validation.model.ValidationModel getValidationModel(@Nonnull
                                                                                              String resourceType,
                                                                                              String resourcePath,
                                                                                              boolean considerResourceSuperTypeModels)

Specified by:
  `getValidationModel` in interface `org.apache.sling.validation.model.spi.ValidationModelRetriever`